Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.locale
Class LocaleUtils

    java.lang.Object
      datechooser.beans.locale.LocaleUtils

    public class LocaleUtils

extends java.lang.Object

Used for simple localization. Properties are cached, so you have to call reset method after locale change.
Класс для удобной работы с локализациями. Кеширует свойства, поэтому при смене локализации необходимо вызвать reset.

Since:
  1.0
Author:
  Androsov Vadim

Method Summary
`static java.lang.String` | `getCalendarLocaleString(java.lang.String key)` Localized calendar string.
`static java.lang.String` | `getConfigLocaleString(java.lang.String key)` Localized configurator string.
`static java.lang.String` | `getEditorLocaleString(java.lang.String key)` Localized editor string.
`static java.lang.String` | `getErrorsLocaleString(java.lang.String key)` Localized error or exception string.
`static void` | `prepareStandartDialogButtonText()` Localization of standart dialogs.
`static void` | `reset()` Resets localization parameters cache.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### prepareStandartDialogButtonText

    public static void prepareStandartDialogButtonText()

  Localization of standart dialogs.
  Обеспечивает корректную локализацию стандартных диалоговых окон.

### reset

    public static void reset()

  Resets localization parameters cache. Call it after locale change.
  Сбрасывает кеш локализованных строк. Нужно вызывать этот метод при смене локализации.

### getEditorLocaleString

    public static java.lang.String getEditorLocaleString(java.lang.String key)

  Localized editor string.
  Возвращает локализованную строку для редактора.

### getCalendarLocaleString

    public static java.lang.String getCalendarLocaleString(java.lang.String key)

  Localized calendar string.
  Возвращает локализованную строку для календаря.

### getErrorsLocaleString

    public static java.lang.String getErrorsLocaleString(java.lang.String key)

  Localized error or exception string.
  Возвращает локализованную строку с описанием ошибки или искючительной ситуации.

### getConfigLocaleString

    public static java.lang.String getConfigLocaleString(java.lang.String key)

  Localized configurator string.
  Возвращает локализованную строку для настройщика.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD